Ignore:
Timestamp:
03/05/2021 02:17:14 PM (8 months ago)
Author:
Pierre Labastie <pieere@…>
Branches:
11.0, ken/refactor-virt, lazarus, qt5new, trunk, xry111/git-date, xry111/git-date-for-trunk, xry111/git-date-test
Children:
7975847
Parents:
7df3dd1
Message:

Remove python2 ad in vim

git-svn-id: svn://svn.linuxfromscratch.org/BLFS/trunk/BOOK@24341 af4574ff-66df-0310-9fd7-8a98e5e911e0

File:
1 edited

Legend:

Unmodified
Added
Removed
  • postlfs/editors/vim.xml

    r7df3dd1 r4c72ea0b  
    104104      <xref linkend="gpm"/>,
    105105      <xref linkend="lua"/>,
     106<!-- can use python3: don't advertise python2
    106107      <xref linkend="python2"/>,
    107       <xref linkend="rsync"/> and
    108       <xref linkend="ruby"/><!-- , and
    109       <xref linkend="tcl"/> -->
     108-->   <xref linkend="rsync"/>, and
     109      <xref linkend="ruby"/>
    110110    </para>
    111111
     
    145145    <note>
    146146      <para>
    147         If you intend to run the tests and have not installed Xorg in /usr, append
    148         LDFLAGS='-L$XORG_PROFIX/lib' to the configure line below.
     147        If you intend to run the tests and have not installed Xorg in /usr,
     148        append LDFLAGS='-L$XORG_PREFIX/lib' to the configure line below.
    149149      </para>
    150150    </note>
     
    256256      <option>--enable-luainterp</option>,
    257257      <option>--enable-perlinterp</option>,
    258       <option>--enable-pythoninterp</option>,
    259       <option>--enable-tclinterp</option>,
     258      <option>--enable-python3interp=dynamic</option>,
     259      <option>--enable-tclinterp --with-tclsh=tclsh</option>,
    260260      <option>--enable-rubyinterp</option>:
    261       These options include the Lua, Perl, Python, Tcl, or Ruby interpreters that
    262       allow using other application code in <application>vim</application>
    263       scripts.
     261      These options include the Lua, Perl, Python3, Tcl, or Ruby interpreters
     262      that allow using other application code in <application>vim</application>
     263      scripts. All the <option>--enable-...</option> options can accept
     264      <option>=dynamic</option> to dynamically load the interpreter when
     265      needed. This is required for <application>Python 3</application> to
     266      prevent segmentation faults. For <application>tcl</application>,
     267      it is necessary to indicate the name of the <command>tclsh</command>
     268      executable, since <command>configure</command> only searches versioned
     269      names with old versions.
    264270    </para>
    265271
Note: See TracChangeset for help on using the changeset viewer.